Subject: Re: bug#58892: 29.0.50; [PATCH] eglot-manual: Open the local info documentation

From: João Távora <[email-masked]>
Date: Mon, 31 Oct 2022 13:22:56 +0000

On Sun, Oct 30, 2022 at 2:02 PM Eli Zaretskii <[email-masked]> wrote:

>
> > Currently, Eglot has a menu item that opens
> > https://github.com/joaotavora/eglot#readme.  I think opening that URL
> > doesn't make sense anymore since eglot.texi is the primary source of the
> > documentation.   Is it OK then to remove this menu item?
>
> Fine by me, but please wait for João to chime in.
>

Yes, it's fine. Show a patch and or push directly if you have permissions.

> > (The last item in message-mode-menu is "Message manual", so there is
> > prior art to what the patch of this bug report tries to achieve.)
>
> I think that's an exception rather than a rule.  Mode-specific menus
> rarely have an item for their manuals.  And Eglot should need that
> less than others, since most of its features just provide backends for
> existing Emacs features.
>

Yes, that's true. But users are not really familiar with all of them: they
don't
have the visibility that Eglot has.  So Felicián's idea makes sense to me,
judging from these years of watching the Eglot bug tracker (where Felicián
is a long-time regular, which would explain why he thinks this feature is
useful).

If there was a keybinding C-xyz so that C-xyz RET eglot RET would land
one in the Eglot manual within Emacs, I think that would come some
way.  Maybe there is this binding?

João